<ng-container [ngSwitch]="status">
  <eui-chip *ngSwitchCase="statusEnum.DRAFT" euiSizeM euiWarning euiOutline>
    <span euiLabel>{{ 'app.flow.all.confirmation.draft' | translate }}</span>
  </eui-chip>
  <eui-chip *ngSwitchCase="statusEnum.PUBLISHED" euiSizeM euiSuccess>
    <span euiLabel>{{ 'app.flow.all.confirmation.published' | translate }}</span>
  </eui-chip>
  <eui-chip *ngSwitchCase="statusEnum.IN_REVIEW" euiSizeM euiInfo euiOutline>
    <span euiLabel>{{ 'app.flow.all.confirmation.inReview' | translate }}</span>
  </eui-chip>
  <eui-chip *ngSwitchCase="statusEnum.ARCHIVED" euiSizeM euiSecondary>
    <span euiLabel>{{ 'app.flow.all.confirmation.archived' | translate }}</span>
  </eui-chip>
</ng-container>
